GET
/
controls
List controls
curl --request GET \
  --url https://api.tigergate.dev/api/v1/compliance/controls \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "framework": {
        "id": "<string>",
        "version": "<string>",
        "source_key": "<string>"
      },
      "control_id": "<string>",
      "title": "<string>",
      "section": "<string>",
      "severity": "<string>",
      "open_findings": 123,
      "affected_assets": 123,
      "evaluated_assets": 123
    }
  ],
  "meta": {
    "as_of": "2023-11-07T05:31:56Z",
    "framework": "<string>"
  }
}

Authorizations

Authorization
string
header
required

A Compliance API key: Authorization: Bearer tgcmp_....

Query Parameters

product
enum<string>
required

A product with framework controls.

Available options:
cloud_security,
kspm,
dspm
framework
string

A normalized framework id such as soc2, or the product's own framework key from framework.source_key.

status
string

Comma-separated control statuses.

Response

Controls and their status.

items
object[]
meta
object